import cn.hutool.core.lang.Assert;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.dayou.BaseApplication;
import com.dayou.bo.LeaderRatioBO;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.service.*;
import com.google.common.cache.Cache;
import com.google.common.cache.LoadingCache;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.ApplicationContext;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.math.BigDecimal;
import java.util.Set;
import java.util.concurrent.ExecutionException;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/6
 * created with IntelliJ IDEA.
 */
@Slf4j
@SpringBootTest(classes = BaseApplication.class)
@RunWith(SpringJUnit4ClassRunner.class)
public class BrokerageTest {

    @Autowired
    private LoadingCache<String,BigDecimal> marketerRatioCache;

    @Autowired
    private LoadingCache<Long,BigDecimal> baseAmountsCache;

    @Autowired
    private LoadingCache<String,BigDecimal> globalConfigCache;

    @Autowired
    private IBrokerageMarketerRatioService marketerRatioService;




    @Test
    public void testBrokerageCache() throws ExecutionException {
        System.out.println(marketerRatioCache.size());
        BigDecimal ifPresent = marketerRatioCache.get("2&3");
        System.out.println(marketerRatioCache.size());
    }
}
