package com.dayou.mapper;

import com.dayou.bo.LeaderRatioBO;
import com.dayou.entity.BrokeragePostRatio;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Set;

/**
 * <p>
 * 领导岗位抽成率 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
public interface BrokeragePostRatioMapper extends CustomBaseMapper<BrokeragePostRatio> {

    Set<LeaderRatioBO> getLeadersRatio(@Param("parentPostIds") Set<Long> parentPostIds,@Param("userId") Long userId);
}
