package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.CustomerDTO;
import com.dayou.entity.Customer;
import com.dayou.dao.CustomBaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 客户表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface CustomerMapper extends CustomBaseMapper<Customer> {

    Page<CustomerDTO> getPage(Page page, @Param("customer") CustomerDTO customer);
}
