package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.Department;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.DepartmentVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 机构 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface DepartmentMapper extends CustomBaseMapper<Department> {

    Page<DepartmentVO> xPage(@Param("department") Department department, Page page);
}
