package com.dayou.mapper;

import com.dayou.entity.ItemStage;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemStageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 项目阶段表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface ItemStageMapper extends CustomBaseMapper<ItemStage> {

    List<ItemStageVO> listByItemId(@Param("itemId") Long itemId);

    int checkDate(@Param("id") Long id,@Param("itemId") Long itemId,@Param("startDate") LocalDate startDate, @Param("endDate") LocalDate endDate);
}
