package com.dayou.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.PaymentCollection;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemPaymentVO;
import com.dayou.vo.PaymentCollectionVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 回款记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-01-10
 */
public interface PaymentCollectionMapper extends CustomBaseMapper<PaymentCollection> {

    IPage<ItemPaymentVO> getItemPayment(Page page,@Param("dto") PaymentCollectionVO paymentCollectionVO);

    Page<PaymentCollectionVO> page(Page page, @Param("dto") PaymentCollectionVO paymentCollection);
}
