package com.dayou.mapper;

import com.dayou.entity.UserTarget;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.UserTargetVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 员工目标 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2023-02-14
 */
public interface UserTargetMapper extends CustomBaseMapper<UserTarget> {

    List<UserTargetVO> getList(@Param("userTargetVO") UserTargetVO userTargetVO);
}
