package com.dayou.bo;

import com.dayou.common.SimpleListModel;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

@Data
public class UserBaseInfoBo {
    private Long openid;

    /**
     * 姓名
     */
    private String name;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 用户邮箱
     */
    private String email;

    /**
     * 用户性别 男/女
     */
    private String sex;

    /**
     * 出生日期
     */
    private LocalDate birthday;

    /**
     * 岗位列表
     */
    private List<SimpleListModel> postList;

}
