package com.dayou.dto;

import com.dayou.entity.Item;
import com.dayou.enums.MergeKeyInterface;
import lombok.Data;

import java.util.List;
import java.util.Set;

import static com.dayou.common.Constants.MERGE_SYMBOL;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2022/12/8
 * created with IntelliJ IDEA.
 */
@Data
public class ItemDTO extends Item implements MergeKeyInterface {

    /**
     * 项目配置人员id列表
     */
    private Set<Long> userIds;

    /**
     * 部门id
     */
    private List<Long> departmentIds;

    @Override
    public String mergeKey() {
        return super.getCate() +MERGE_SYMBOL+ super.getBusinessSource();
    }
}
