package com.dayou.entity;
import java.math.BigDecimal;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 领导岗位抽成率
 * </p>
 *
 * @author wucl
 * @since 2023-03-10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "领导岗位抽成率")
public class BrokeragePostRatio extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 岗位抽成率
     */
    @ImportCell
    @ExportCell(columnName = "岗位抽成率")
    private BigDecimal brokerageRatio;


}
