package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;

import java.util.Date;

/**
 * <p>
 * 项目人员表
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
@Data
@ExcelSheet(sheetName = "项目人员表")
public class ItemUser {

    private static final long serialVersionUID=1L;

    /**
     * id
     */
    private Long id;

    /**
     * 项目id
     */
    private Long itemId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 创建时间
     */
    private Date created;


}
