package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 岗位菜单权限
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "岗位菜单权限")
public class PostPrivilege extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 权限树 json
     */
    @ImportCell
    @ExportCell(columnName = "权限树 json")
    private String permissionTree;


}
