package com.dayou.vo;

import com.dayou.entity.ItemStage;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2022/12/8
 * created with IntelliJ IDEA.
 */
@Data
public class ItemStageVO extends ItemStage {

    /**
     * 阶段状态（未开始，进行中，已完成）
     */
    private String state;

    private String dutyer;

    private String itemName;

    private Set<Long> userIds;

    private Set<ParticipatorWeight> participators;

    private List<Long> departmentIds;



    @Data
    public static class ParticipatorWeight{

        private Long userId;

        private BigDecimal weight;
    }

}
