package com.dayou.brokerage;

import com.dayou.bo.BrokerageDetailBO;
import com.dayou.brokerage.factory.BrokerageCalculateFactory;
import com.dayou.dto.SalarySettleDTO;
import com.dayou.entity.ItemBrokerageDetail;
import com.dayou.entity.ItemBrokerageGeneral;
import com.dayou.entity.ItemStage;

import java.math.BigDecimal;
import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/8
 * created with IntelliJ IDEA.
 */
public interface BrokerageCalculator extends BrokerageCalculateFactory {


    /**
     * 提成结算金额
     */
    BigDecimal advanceAmount(BigDecimal actualAmount);


    /**
     * 未结算金额
     */
    BigDecimal residueAmount(BigDecimal actualAmount,BigDecimal advanceAmount);
}
