package com.dayou.service;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.ItemBrokerageDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 项目提成明细 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface IItemBrokerageDetailService extends IService<ItemBrokerageDetail> {

        Page<ItemBrokerageDetail> selectPage(Page page,ItemBrokerageDetail itemBrokerageDetail);

        ItemBrokerageDetail detail(Long id);

        Boolean add(ItemBrokerageDetail itemBrokerageDetail);

        Boolean update(ItemBrokerageDetail itemBrokerageDetail);

        Boolean delete(Long id);

        Boolean crateBrokerageDetail(ItemDTO itemDTO);

}
