package com.dayou.service;
import com.dayou.entity.UserTarget;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.UserTargetVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 员工目标 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-02-14
 */
public interface IUserTargetService extends IService<UserTarget> {


        UserTarget detail(Long id);

        Boolean add(UserTarget userTarget);

        Boolean update(UserTarget userTarget);

        List<UserTargetVO> getList(UserTargetVO userTargetVO);
}
