package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.bo.SimpleParentModel;
import com.dayou.common.PullDownModel;
import com.dayou.common.SimpleListModel;
import com.dayou.common.SimpleModel;
import com.dayou.entity.Post;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.PostVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 岗位 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface PostMapper extends CustomBaseMapper<Post> {

    void upsert(@Param("post") Post post);

    Page<PostVO> getPage(Page page, @Param("postVO") PostVO postVO);

    List<PullDownModel> xSimpleAll();

    List<SimpleParentModel> getDepartmentList(@Param("postIds") Set<Long> postIds);
}
