package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.User;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.UserVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 基础用户 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
public interface UserMapper extends CustomBaseMapper<User> {

    void saveOrUpdateById(@Param("user") User user);

    Page<UserVO> xPage(Page page, @Param("userVO") UserVO userVO);

    UserVO detail(@Param("id") Long id);

    Long getDepartmentIdByUserId(@Param("userId") Long userId);
}
