package com.dayou.annotation;

import java.lang.annotation.*;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/2/13
 * created with IntelliJ IDEA.
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataPermission {

    /**
     * 岗位数据权限 是否包含下级岗位
     * @return
     */
    public boolean postChild() default true;

    /**
     * 部门数据权限
     * @return
     */
    public boolean department() default false;
}
