package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 字典类型
 * </p>
 *
 * @author wucl
 * @since 2022-11-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "字典类型")
public class DictType extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 字典类型名称
     */
    @ImportCell
    @ExportCell(columnName = "字典类型名称")
    private String name;

    /**
     * 字典类型
     */
    @ImportCell
    @ExportCell(columnName = "字典类型")
    private String dictType;

    /**
     * 字典编号
     */
    @ImportCell
    @ExportCell(columnName = "字典编号")
    private String code;

    /**
     * 字典描述
     */
    @ImportCell
    @ExportCell(columnName = "字典描述")
    private String remark;


}
