package com.dayou.entity;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 全局配置
 * </p>
 *
 * @author wucl
 * @since 2023-01-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "全局配置")
public class GlobalConfig extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 键
     */
    @ImportCell
    @ExportCell(columnName = "键")
    private String key;

    @ImportCell
    @ExportCell(columnName = "")
    private String field;

    /**
     * 值
     */
    @ImportCell
    @ExportCell(columnName = "值")
    private String value;

    /**
     * 描述
     */
    @ImportCell
    @ExportCell(columnName = "描述")
    private String description;


}
