package com.dayou.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/13
 * created with IntelliJ IDEA.
 */
@Data
public class MarketStatVO {

    /**
     *本年签约目标
     */
    private BigDecimal yearSaleTarget;
    /**
     *本年回款目标
     */
    private BigDecimal yearPaymentTarget;
    /**
     *潜在商机
     */
    private Integer businessNum;
    /**
     *本年已签约
     */
    private BigDecimal yearSaleDone;
    /**
     *本年已回款
     */
    private BigDecimal yearPaymentDone;
    /**
     *本月已回款
     */
    private BigDecimal monthPaymentDone;
}
