package com.dayou.brokerage.annotation;

import com.dayou.brokerage.constants.BrokerageBusiness;
import com.dayou.brokerage.constants.BrokerageRule;
import com.dayou.enums.OperationTypeEnum;
import org.apache.poi.ss.formula.functions.T;

import java.lang.annotation.*;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/7
 * created with IntelliJ IDEA.
 */
@Target({ElementType.PARAMETER, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DoBrokerage {

    OperationTypeEnum operation();
    BrokerageRule rule();
    BrokerageBusiness business() default BrokerageBusiness.ITEM_PREDICT;



}
