package com.dayou.service;
import com.dayou.entity.ItemStage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.ItemStageVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 项目阶段表 服务类
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface IItemStageService extends IService<ItemStage> {

        Page<ItemStage> selectPage(Page page,ItemStage itemStage);

        ItemStage detail(Long id);

    Long add(ItemStageVO itemStageVO);

        Boolean update(ItemStageVO itemStageVO);

        Boolean delete(Long id);

    List<ItemStageVO> listByItemId(Long itemId);

    List<List<ItemStageVO>> stageList(ItemStageVO itemStageVO);

    Boolean confirmation(Long stageId, Boolean overdue);
}
